VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
VisimBox.VisimEngine Class Reference

Main visimbox engine. More...

Inheritance diagram for VisimBox.VisimEngine:

List of all members.

## Public Member Functions
void | Initialize ()
| Perform standard initialization and creates standard rendering window.
void | Initialize (Renderer.RenderContextSettings settings)
| Performs standard initialization with specified renderwindow as main window or creates new one.
void | InitializeRenderer (Renderer.RenderContextSettings settings)
| Initialize renderer.
void | Run ()
void | Close ()
void | Dispose ()
void | FreeScene ()
| Frees current main scene and all associated data.
void | NewScene ()
| Creates new main scene (deletes old one)
bool | LoadScene (string filename)
| Loads scene from the dist (deletes old)
bool | SaveScene ()
| Saves scene to disk using used name (will overwrite the file)
bool | SaveScene (string filename)
| Save main scene to disk.
void | RenderScene ()
| Renders main scene in the main rendering window.
void | RenderScene (IRenderContext context)
| Renders main scene in the specified rendering context.
double | TimeTick ()
| Performs timetick of the simulation on scene based on the realtime from the last called time tick.
void | TimeTick (double elapsedseconds)
| Performs timetick of the simulation on scene.
void | SetTime (double seconds)
| Sets time for the whole scene to specified time.
## Properties
Renderer.Renderer | Renderer`[get]`
| Main renderer of the engine.
SceneRoot | MainScene`[get]`
| Main scene of the simulation.
bool | Running`[get, set]`
| Is Visimbox running (ie rendering and calculating continuously without requests)

## Detailed Description

Main visimbox engine.

## Member Function Documentation

void VisimBox.VisimEngine.Close | ( |  | ) |

void VisimBox.VisimEngine.Dispose | ( |  | ) |

void VisimBox.VisimEngine.FreeScene | ( |  | ) |

Frees current main scene and all associated data.

void VisimBox.VisimEngine.Initialize | ( |  | ) |

Perform standard initialization and creates standard rendering window.

void VisimBox.VisimEngine.Initialize | ( | Renderer.RenderContextSettings | settings | ) |

Performs standard initialization with specified renderwindow as main window or creates new one.

Parameters:

  settings | Settings for the main rendering window, renderwindow is null new standard window will be created

void VisimBox.VisimEngine.InitializeRenderer | ( | Renderer.RenderContextSettings | settings | ) |

Initialize renderer.

bool VisimBox.VisimEngine.LoadScene | ( | string | filename | ) |

Loads scene from the dist (deletes old)

Parameters:

  filename | File with scene in recognizable format

Returns:
  True if load sucessfull

void VisimBox.VisimEngine.NewScene | ( |  | ) |

Creates new main scene (deletes old one)

void VisimBox.VisimEngine.RenderScene | ( | IRenderContext | context | ) |

Renders main scene in the specified rendering context.

Parameters:

  context |

void VisimBox.VisimEngine.RenderScene | ( |  | ) |

Renders main scene in the main rendering window.

void VisimBox.VisimEngine.Run | ( |  | ) |

bool VisimBox.VisimEngine.SaveScene | ( | string | filename | ) |

Save main scene to disk.

Parameters:

  filename | Filename of the scene

Returns:
  True if everything went ok

bool VisimBox.VisimEngine.SaveScene | ( |  | ) |

Saves scene to disk using used name (will overwrite the file)

Returns:
  True if save sucessful

void VisimBox.VisimEngine.SetTime | ( | double | seconds | ) |

Sets time for the whole scene to specified time.

Parameters:

  seconds |

double VisimBox.VisimEngine.TimeTick | ( |  | ) |

Performs timetick of the simulation on scene based on the realtime from the last called time tick.

Returns:
  Elapsed time from the last time tick

void VisimBox.VisimEngine.TimeTick | ( | double | elapsedseconds | ) |

Performs timetick of the simulation on scene.

Parameters:

  seconds | requested elapsed time

## Property Documentation

SceneRoot VisimBox.VisimEngine.MainScene`[get]`

Main scene of the simulation.

Renderer.Renderer VisimBox.VisimEngine.Renderer`[get]`

Main renderer of the engine.

bool VisimBox.VisimEngine.Running`[get, set]`

Is Visimbox running (ie rendering and calculating continuously without requests)

The documentation for this class was generated from the following file:

- VisimBox.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events